<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

/**
 * Class CreateVzdelavanieTestovanieOtazkyTable
 */
return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('vzdelavanie_testovanie_otazky', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('testovanie_testy_id');

            $table->longText('znenie');
            $table->string('druh');

            $table->foreign('testovanie_testy_id')->references('id')->on('vzdelavanie_testovanie_testy')->cascadeOnDelete();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('vzdelavanie_testovanie_otazky');
    }
};
